﻿namespace C1_hl7.data.Model
{
    public class HL7Message
    {
        public string Extractor { get; set; }
        public Result Result { get; set; }
    }

    public class Result
    {
        public Hl7segment[] HL7Segment { get; set; }
    }

    public class Hl7segment
    {
        public Common common { get; set; }
        public string Fields { get; set; }
    }

    public class Common
    {
        public string Type { get; set; }
        public string Id { get; set; }
    }
}
