namespace C1_hl7.data.tests;

public class HL7DatareaderTests
{
    [Fact]
    public void ReadTemplateBasedExtractor_should_return_Stream()
    {
        // arrange
        HL7Datareader datareader = new HL7Datareader();

        // act
        var extractor = datareader.ReadTemplateBasedExtractor();

        // assert
        Assert.NotNull(extractor);
    }


    [Fact]
    public void ReadData_should_return_Segments()
    {
        // arrange
        string hl7 = File.ReadAllText(@"Data\ADT_A04.hl7");
        HL7Datareader datareader = new HL7Datareader();

        // act
        var segments = datareader.ReadData(hl7);

        // assert
        Assert.NotNull(segments);
    }
}